// 
// Anpassungen im makefile:
//    ATMega8 => MCU=atmega8 im makefile einstellen
//    lcd-routines.c in SRC = ... Zeile anhngen
//

#ifndef F_CPU
#define F_CPU 8000000
#endif

 
#include <avr/io.h>
#include <util/delay.h>

#include "lcd-routines.h"

int main(void)
{
	// Initialisierung des LCD
	// Nach der Initialisierung mssen auf dem LCD vorhandene schwarze Balken
	// verschwunden sein#
	_delay_us(100);
	lcd_init();
	_delay_us(100);
 
	// Text in einzelnen Zeichen ausgeben
	lcd_data( 'T' );
	lcd_data( 'e' );
	lcd_data( 's' );
	lcd_data( 't' );
 
	// Die Ausgabemarke in die 2te Zeile setzen
	lcd_setcursor( 0, 2 );
 
	// erneut Text ausgeben, aber diesmal komfortabler als String
	lcd_string("Hello World!");
 
	while(1)
	{
	}
 
	return 0;
}
